import { WithDeleted } from "rxdb";
export interface Human {
    id: string;
    name: string;
    age: number | null;
}
export type HumanRow = WithDeleted<Human> & {
    _modified: string;
};
export declare const HUMAN_SCHEMA: {
    title: string;
    version: number;
    primaryKey: string;
    type: string;
    properties: {
        id: {
            type: string;
            maxLength: number;
        };
        name: {
            type: string;
        };
        age: {
            description: string;
            type: string;
            minimum: number;
            maximum: number;
            multipleOf: number;
        };
    };
    required: string[];
    indexes: string[];
};
