import { RxConflictHandler } from "rxdb";
import { RxReplicationState } from "rxdb/plugins/replication";
import { SupabaseReplication, SupabaseReplicationCheckpoint } from "../supabase-replication.js";
import { Human } from "./test-types.js";
/**
 * Starts a SupabaseReplication with the given factory, executes the given callback while the replication
 * is running, and then stops the replication again.
 *
 * Throws on any errors that happened within the replication code, unless expectErrors is set to true, in
 * which case all errors are returned.
 */
export declare function withReplication(replicationFactory: () => SupabaseReplication<Human>, callback?: (state: RxReplicationState<Human, SupabaseReplicationCheckpoint>) => Promise<void>, expectErrors?: boolean): Promise<Error[]>;
/**
 * A simple conflict handler for tests
 */
export declare function resolveConflictWithName<T>(name: string): RxConflictHandler<T>;
